<?php
#----------------------------------------------------------#
# チーム情報
#----------------------------------------------------------#
function team_infoR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title('game');
#--------------------------------------#
# 初期設定
#--------------------------------------#
$TR_ID=$Q[tr_id];if(!$TR_ID){$TR_ID=$_COOKIE[id];}
$BD_KIND=$Q{'bdk'};if(!$BD_KIND){$BD_KIND='AVE';}
$PD_KIND=$Q{'pdk'};if(!$PD_KIND){$PD_KIND='ERA';}
#--------------------------------------#
# チームリスト出力
#--------------------------------------#
$sql=mysql_query("SELECT * FROM player");
while($OL=mysql_fetch_assoc($sql)){
	if($OL[id]==$TR_ID){
		$html_team_list.="<option value='$OL[id]' selected>$OL[1]\n";
	}else{
		$html_team_list.="<option value='$OL[id]'>$OL[1]\n";
	}
}
#--------------------------------------#
# チームデータ表示
#--------------------------------------#
if(data_check('player','id',$TR_ID)){
	#--------------------------------------#
	# チームデータ
	#--------------------------------------#
	$OL=read_data('player',$TR_ID);
	$OTM=read_data('team',$TR_ID);
	$html_flag_url=icon_url($OL[5]);
	$html_icon_url=icon_url($OL[6]);
	$html_rank=set_rank($TR_ID);
	if($TR_ID==$_COOKIE[id]){
		$html_mypages="<a href='$SET[path_index]?r=team_info_ch'>[チーム情報を変更する]</a>";
	}
$html_info.=<<<EOF
<table><tr><td><img src="$html_flag_url" height=$SET[flag_h] title="$OL[1]"></td><td>
<font size="5">$OL[1]</font><br>
<font size="2"><font color=red>$html_rank</font>&nbsp;$OTM[2]試合&nbsp;$OTM[3]勝$OTM[4]敗$OTM[5]分</font>
</td><td style="vertical-align:center;">
<table><tr><td>監督</td><td><img src="$html_icon_url" height=$SET[icon_h_m] title="$OL[0]"></td><td>$OL[0]のコメント：</td><td>$OL[2]</td></tr></table>
$html_mypages
</td></tr></table><hr>
<table width=100%><tr style="vertical-align:top;"><td style="width:230px;">
EOF;
	#--------------------------------------#
	# 選手読み込み
	#--------------------------------------#
	#カードフォーカス
	global$CF;$html_cf=ch_focus($TR_ID);
	#ベンチ
	$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$TR_ID'");
	while ($CD=mysql_fetch_assoc($sql)){
		$CD=ch_growth($CD);
		if($CD[38]&&!$CD[39]&&$CD[1]=='B'){
			$CD_RB=read_data('card_res_b',$CD[id]);
			$ch_OBP=AVE(($CD_RB[2]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]+$CD_RB[14]),($CD_RB[3]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]));
			$ch_SLG=AVE($CD_RB[2],$CD_RB[8]);
			$ch_OPS=AVE2(($ch_OBP+$ch_SLG));
			$html_sb.="<tr style=\"text-align:center;\"><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td onclick=\"javascript:card_focus('".$CF[$CD[id]]."');\">$CD[0]</td><td>$CD[2]</td><td>$CD[3]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_st($CD[11],0)."</td><td>".ch_st($CD[12],0)."</td><td>".ch_st($CD[13],0)."</td><td>".ch_st($CD[14],0)."</td><td>".ch_st($CD[15],0)."</td><td>".ch_st($CD[16],0)."</td><td>".ch_st($CD[17],0)."</td><td>".AVE($CD_RB[2],$CD_RB[3])."</td><td>$ch_OPS</td></tr>\n";
		}elseif($CD[38]&&!$CD[39]&&$CD[1]=='P'){
			$CD_RP=read_data('card_res_p',$CD[id]);
			$html_sp.="<tr style=\"text-align:center;\"><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td onclick=\"javascript:card_focus('".$CF[$CD[id]]."');\">$CD[0]</td><td>$CD[2]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_psp_max($CD[21],$CD[4])."</td><td>".ch_st($CD[22],0)."</td><td>".ch_st($CD[23],0)."</td><td>&nbsp;</td><td>".ch_st($CD[24],0)."</td><td>".ch_st($CD[25],0)."</td><td>".ch_st($CD[26],0)."</td><td>".ch_st($CD[27],0)."</td><td>".ch_st($CD[28],0)."</td><td>".ERA($CD_RP[11],$CD_RP[9])."</td><td>".WHIP($CD_RP[11],($CD_RP[3]+$CD_RP[15]+$CD_RP[16]))."</td></tr>\n";
			#チーム分析用
			$TM_STPN[0]++;
			$TM_STPN[1]+=$CD[21];
			$TM_STPN[2]+=$CD[22];
			$TM_STPN[3]+=$CD[23];
			$TM_STPN[4]+=$CD[24]+$CD[25]+$CD[26]+$CD[27]+$CD[28];
			$TM_STPN[5]+=brk_num($CD);
		}
		#チーム成績出力用
		$CD_RP=read_data('card_res_p',$CD[id]);
		if($CD_RP){
			for($i=0;$i<=$SET[dt_pcd_num];$i++){
				$name=$i;
				$TM_RP[$name]+=$CD_RP[$name];
			}
		}
		$CD_RB=read_data('card_res_b',$CD[id]);
		if($CD_RB){
			for($i=0;$i<=$SET[dt_btd_num];$i++){
				$name=$i;
				$TM_RB[$name]+=$CD_RB[$name];
			}
		}
	}
	#スタメン
	$TM_BT=explode('!',$OL[24]);
	$TM_DF=explode('!',$OL[23]);
	#打順
	for($i=0;$i<=8;$i++){
		if($TM_BT[$i]){
			$CD_BN=$i+1;
			$CD_DF=$TM_BT[$i];
			$CD_ID=$TM_DF[$i];
			$html_bt.="<tr style=\"text-align:center;\"><td>$CD_BN</td><td>".$SET[game_def][$CD_DF]."</td>";
			#選手表示
			if($CD_DF==1){#投手
				$html_bt.="<td colspan=15 style=\"background-color:pink;\">投手</td>";
			}elseif(data_check('player_card','id',$CD_ID)){
				$CD=read_data('player_card',$CD_ID);
				$CD=ch_growth($CD);
				$CD_RB=read_data('card_res_b',$CD[id]);
				$ch_OBP=AVE(($CD_RB[2]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]+$CD_RB[14]),($CD_RB[3]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]));
				$ch_SLG=AVE($CD_RB[2],$CD_RB[8]);
				$ch_OPS=AVE2(($ch_OBP+$ch_SLG));
				$html_bt.="<td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td onclick=\"javascript:card_focus('".$CF[$CD[id]]."');\">$CD[0]</td><td>$CD[2]</td><td>$CD[3]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_st($CD[11],0)."</td><td>".ch_st($CD[12],0)."</td><td>".ch_st($CD[13],0)."</td><td>".ch_st($CD[14],0)."</td><td>".ch_st($CD[15],0)."</td><td>".ch_st($CD[16],0)."</td><td>".ch_st($CD[17],0)."</td><td>".AVE($CD_RB[2],$CD_RB[3])."</td><td>$ch_OPS</td>";
				#チーム分析用
				$TM_STB[0]++;
				$TM_STB[1]+=$CD[11];
				$TM_STB[2]+=$CD[12];
				$TM_STB[3]+=$CD[13];
				$TM_STB[4]+=$CD[14];
				$TM_STB[5]+=$CD[15];
				$TM_STB[6]+=$CD[16];
				$TM_STB[7]+=$CD[17];
			}else{
				$html_bt.="<td colspan=15>-</td>";
			}
			$html_bt.="</tr>\n";
		}else{#
			$html_bt.="<tr><td colspan=15>データが未設定です。</td></tr>\n";
		}
	}
	#ローテ
	$TM_ROT=explode('!',$OL[25]);
	if(data_check('player_card','id',$TM_ROT[0])){
		$i=0;
		foreach($TM_ROT as $CD_ID){
			$CD=read_data('player_card',$CD_ID);
			$CD=ch_growth($CD);
			$CD_RP=read_data('card_res_p',$CD_ID);
			#ローテ色付け
			if(($i+1)==$PL[15]){
				$html_rot.="<tr style=\"text-align:center;background-color:pink;\">";
			}else{
				$html_rot.="<tr style=\"text-align:center;\">";
			}
			#表示
			$html_rot.="<td>".($i+1)."</td><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td onclick=\"javascript:card_focus('".$CF[$CD[id]]."');\">$CD[0]</td><td>$CD[2]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_psp_max($CD[21],$CD[4])."</td><td>".ch_st($CD[22],0)."</td><td>".ch_st($CD[23],0)."</td><td>&nbsp;</td><td>".ch_st($CD[24],0)."</td><td>".ch_st($CD[25],0)."</td><td>".ch_st($CD[26],0)."</td><td>".ch_st($CD[27],0)."</td><td>".ch_st($CD[28],0)."</td><td>".ERA($CD_RP[11],$CD_RP[9])."</td><td>".WHIP($CD_RP[11],($CD_RP[3]+$CD_RP[15]+$CD_RP[16]))."</td></tr>\n";
			#チーム分析用
			$TM_STPS[0]++;
			$TM_STPS[1]+=$CD[21];
			$TM_STPS[2]+=$CD[22];
			$TM_STPS[3]+=$CD[23];
			$TM_STPS[4]+=$CD[24]+$CD[25]+$CD[26]+$CD[27]+$CD[28];
			$TM_STPS[5]+=brk_num($CD);
			$i++;
		}
	}
	#--------------------------------------#
	# 成績
	#--------------------------------------#
	#$TM_RB,$TM_RP
	#総計
	$TM_RES=array();
	if($OTM[2]>0){
		#野手
		$TM_AVE=AVE($TM_RB[2],$TM_RB[3]);
		$TM_AVEP=AVE($TM_RB[20],$TM_RB[21]);
		$TM_OBP=AVE(($TM_RB[2]+$TM_RB[15]+$TM_RB[16]+$TM_RB[17]+$TM_RB[14]),($TM_RB[3]+$TM_RB[15]+$TM_RB[16]+$TM_RB[17]));
		$TM_SLG=AVE($TM_RB[2],$TM_RB[8]);
		$TM_OPS=AVE2(($TM_OBP+$TM_SLG));
		$TM_SBP=AVE(($TM_RB[11]+$TM_RB[12]),$TM_RB[11]);
$html_TM_RB=<<<EOF
<table><tr><th colspan=15>打撃総合</th></tr>
<tr><th>打率</th><th>得点圏</th><th>出塁率</th><th>長打率</th><th>OPS</th><th>試合</th><th>打席</th><th>打数</th><th>安打</th><th>単打</th><th>二塁</th><th>三塁</th><th>ＨＲ</th><th>塁打</th></tr>
<tr><td>$TM_AVE</td><td>$TM_AVEP</td><td>$TM_OBP</td><td>$TM_SLG</td><td>$TM_OPS</td><td>$TM_RB[0]</td><td>$TM_RB[1]</td><td>$TM_RB[2]</td><td>$TM_RB[3]</td><td>$TM_RB[4]</td><td>$TM_RB[5]</td><td>$TM_RB[6]</td><td>$TM_RB[7]</td><td>$TM_RB[8]</td></tr>
<tr><th>打点</th><th>得点</th><th>盗塁</th><th>盗塁死</th><th>成功率</th><th>犠打</th><th>犠飛</th><th>四球</th><th>敬遠</th><th>死球</th><th>三振</th><th>併殺</th><th>失策</th></tr>
<tr><td>$TM_RB[9]</td><td>$TM_RB[10]</td><td>$TM_RB[11]</td><td>$TM_RB[12]</td><td>$TM_SBP</td><td>$TM_RB[13]</td><td>$TM_RB[14]</td><td>$TM_RB[15]</td><td>$TM_RB[16]</td><td>$TM_RB[17]</td><td>$TM_RB[18]</td><td>$TM_RB[19]</td><td>$TM_RB[23]</td></tr>
</table>
EOF;
		#投手
		$TM_ERA=ERA($TM_RP[11],$TM_RP[9]);
		$TM_WHIP=WHIP($TM_RP[11],($TM_RP[3]+$TM_RP[15]+$TM_RP[16]));
		$TM_PAVE=AVE($TM_RP[2],$TM_RP[3]);
		$TM_PAVEP=AVE($TM_RP[20],$TM_RP[21]);
		$TM_PTIMES=ch_ptime($TM_RP[11]);
$html_TM_RP=<<<EOF
<table><tr><th colspan=17>投手総合</th></tr>
<tr><th>ERA</th><th>WHIP</th><th>勝</th><th>負</th><th>Ｓ</th><th>先発</th><th>完投</th><th>完封</th><th>被打率</th><th>得点圏</th><th>投球回</th><th>登板</th></tr>
<tr><td>$TM_ERA</td><td>$TM_WHIP</td><td>$TM_RP[22]</td><td>$TM_RP[23]</td><td>$TM_RP[24]</td><td>$TM_RP[28]</td><td>$TM_RP[26]</td><td>$TM_RP[27]</td><td>$TM_PAVE</td><td>$TM_PAVEP</td><td>$TM_PTIMES</td><td>$TM_RP[0]</td></tr>
<tr><th>打者</th><th>打数</th><th>被安</th><th>被単</th><th>被二</th><th>被三</th><th>被本</th><th>被塁</th><th>自責</th><th>失点</th><th>犠打</th><th>犠飛</th><th>与四</th><th>与敬</th><th>与死</th><th>奪三</th><th>暴投</th></tr>
<tr><td>$TM_RP[1]</td><td>$TM_RP[2]</td><td>$TM_RP[3]</td><td>$TM_RP[4]</td><td>$TM_RP[5]</td><td>$TM_RP[6]</td><td>$TM_RP[7]</td><td>$TM_RP[8]</td><td>$TM_RP[9]</td><td>$TM_RP[10]</td><td>$TM_RP[13]</td><td>$TM_RP[14]</td><td>$TM_RP[15]</td><td>$TM_RP[16]</td><td>$TM_RP[17]</td><td>$TM_RP[18]</td><td>$TM_RP[19]</td></tr>
</table>
EOF;
		#チーム成績
		$TM_RES[PPT]=floor($OTM[6]/$OTM[2]*10)/10;
		$TM_RES[LPT]=floor($OTM[7]/$OTM[2]*10)/10;
		$TM_RES[PLPT]=floor(($TM_RES[PPT]-$TM_RES[LPT])*10)/10;
		if($OTM[7]>0){
			$TM_RES[PPL]=floor($OTM[6]/$OTM[7]*100);
		}else{$TM_RES[PPL]='-';}
		#野手
		$TM_RES[HIT]=floor($TM_RB[3]/$OTM[2]*10)/10;
		$TM_RES[RUN]=floor($TM_RB[8]/$OTM[2]*10)/10;
		$TM_RES[HR]=floor($TM_RB[7]/$OTM[2]*10)/10;
		$TM_RES[SO]=floor($TM_RB[18]/$OTM[2]*10)/10;
		$TM_RES[SB]=floor($TM_RB[11]/$OTM[2]*10)/10;
		$TM_RES[ER]=floor($TM_RB[23]/$OTM[2]*10)/10;
		if($TM_RB[24]>0){
			$TM_RES[ERP]=floor($TM_RB[23]/$TM_RB[24]*1000)/1000;
		}else{
			$TM_RES[ERP]='-';
		}
		#投手
		$TM_RES[PHIT]=floor($TM_RP[3]/$OTM[2]*10)/10;
		$TM_RES[PRUN]=floor($TM_RP[8]/$OTM[2]*10)/10;
		$TM_RES[PHR]=floor($TM_RP[7]/$OTM[2]*10)/10;
		$TM_RES[PSO]=floor($TM_RP[18]/$OTM[2]*10)/10;
$html_TM_result=<<<EOF
<table><tr><th>1試合平均($OTM[2]試合)</th></tr>
<tr><td><table>
<tr><th>得点</th><th>失点</th><th>得失点</th><th>得失比</th></tr>
<tr><td>$TM_RES[PPT]</td><td>$TM_RES[LPT]</td><td>$TM_RES[PLPT]</td><td>$TM_RES[PPL]％</td></tr>
</table><table>
<tr><th>安打</th><th>塁打</th><th>ＨＲ</th><th>三振</th><th>盗塁</th><th>失策</th><th>失策率</th></tr>
<tr><td>$TM_RES[HIT]</td><td>$TM_RES[RUN]</td><td>$TM_RES[HR]</td><td>$TM_RES[SO]</td><td>$TM_RES[SB]</td><td>$TM_RES[ER]</td><td>$TM_RES[ERP]</td></tr>
<tr><th>被安打</th><th>被塁打</th><th>被ＨＲ</th><th>奪三振</th></tr>
<tr><td>$TM_RES[PHIT]</td><td>$TM_RES[PRUN]</td><td>$TM_RES[PHR]</td><td>$TM_RES[PSO]</td></tr>
</table></td></tr>
</table>
$html_TM_RP
$html_TM_RB
EOF;
	}else{
$html_TM_result=<<<EOF
試合を行っていないため試合分析は表示できません
EOF;
	}
	#--------------------------------------#
	# 分析
	#--------------------------------------#
	$D[barlen]=100;
	#$TM_STB
	if($TM_STB[0]>0){
		for($i=1;$i<=7;$i++){
			$TM_STBA[$i]=floor($TM_STB[$i]/$TM_STB[0]*100)/100;
			$TM_STBL[$i]=$TM_STBA[$i]/110*$D[barlen];
			$TM_STBL2[$i]=$D[barlen]-$TM_STBL[$i];
		}
		$TM_STBA[ALL]=floor(($TM_STBA[1]+$TM_STBA[2]+$TM_STBA[3]+$TM_STBA[4]+$TM_STBA[5]+$TM_STBA[6]+$TM_STBA[7])/7*100)/100;
		$TM_STBL[ALL]=$TM_STBA[ALL]/110*$D[barlen];
		$TM_STBL2[ALL]=$D[barlen]-$TM_STBL[ALL];
		#各能力表示
		$html_analysis.="<table><tr><th colspan=3>野手分析</th></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[1]'><td>ミート</td><td>".ch_st($TM_STBA[1],0)."&nbsp;$TM_STBA[1]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[1]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[1]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[2]'><td>パワー</td><td>".ch_st($TM_STBA[2],0)."&nbsp;$TM_STBA[2]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[2]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[2]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[3]'><td>走力</td><td>".ch_st($TM_STBA[3],0)."&nbsp;$TM_STBA[3]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[3]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[3]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[4]'><td>肩力</td><td>".ch_st($TM_STBA[4],0)."&nbsp;$TM_STBA[4]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[4]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[4]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[5]'><td>守備力</td><td>".ch_st($TM_STBA[5],0)."&nbsp;$TM_STBA[5]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[5]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[5]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[6]'><td>反応</td><td>".ch_st($TM_STBA[6],0)."&nbsp;$TM_STBA[6]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[6]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[6]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[7]'><td>E回避</td><td>".ch_st($TM_STBA[7],0)."&nbsp;$TM_STBA[7]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[7]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[7]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STBA[ALL]'><td>総合</td><td>".ch_st($TM_STBA[ALL],0)."&nbsp;$TM_STBA[ALL]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STBL[ALL]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STBL2[ALL]></td></tr>\n";
	}else{
		$html_analysis.="野手が選択されていません<br>";
	}
	#$TM_STPS,$TM_STPN
	if($TM_STPS[0]>0){
		for($i=1;$i<=5;$i++){
			$TM_STPSA[$i]=floor($TM_STPS[$i]/$TM_STPS[0]*100)/100;
			$TM_STPSL[$i]=$TM_STPSA[$i]/110*$D[barlen];
			$TM_STPSL2[$i]=$D[barlen]-$TM_STPSL[$i];
		}
		$html_analysis.="<tr><th colspan=3>先発投手分析</th></tr>\n";
		#各能力表示
		$html_analysis.="<tr title='$TM_STPSA[1]'><td>球速</td><td>".ch_st($TM_STPSA[1],0)."&nbsp;$TM_STPSA[1]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPSL[1]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPSL2[1]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPSA[2]'><td>制球</td><td>".ch_st($TM_STPSA[2],0)."&nbsp;$TM_STPSA[2]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPSL[2]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPSL2[2]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPSA[3]'><td>体力</td><td>".ch_st($TM_STPSA[3],0)."&nbsp;$TM_STPSA[3]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPSL[3]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPSL2[3]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPSA[4]'><td>変化量</td><td>".ch_st($TM_STPSA[4],0)."&nbsp;$TM_STPSA[4]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPSL[4]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPSL2[4]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPSA[5]'><td>球種数</td><td colspan=2>$TM_STPSA[5]</td></tr>\n";
	}else{
		$html_analysis.="先発投手が選択されていません<br>";
	}
	if($TM_STPN[0]>0){
		for($i=1;$i<=5;$i++){
			$TM_STPNA[$i]=floor($TM_STPN[$i]/$TM_STPN[0]*100)/100;
			$TM_STPNL[$i]=$TM_STPNA[$i]/110*$D[barlen];
			$TM_STPNL2[$i]=$D[barlen]-$TM_STPNL[$i];
		}
		$html_analysis.="<tr><th colspan=3>継投投手分析</th></tr>\n";
		#各能力表示
		$html_analysis.="<tr title='$TM_STPNA[1]'><td>球速</td><td>".ch_st($TM_STPNA[1],0)."&nbsp;$TM_STPNA[1]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPNL[1]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPNL2[1]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPNA[2]'><td>制球</td><td>".ch_st($TM_STPNA[2],0)."&nbsp;$TM_STPNA[2]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPNL[2]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPNL2[2]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPNA[3]'><td>体力</td><td>".ch_st($TM_STPNA[3],0)."&nbsp;$TM_STPNA[3]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPNL[3]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPNL2[3]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPNA[4]'><td>変化量</td><td>".ch_st($TM_STPNA[4],0)."&nbsp;$TM_STPNA[4]</td><td><img src='$SET[dir_img]/blue.gif' height=7 width=$TM_STPNL[4]><img src='$SET[dir_img]/red.gif' height=7 width=$TM_STPNL2[4]></td></tr>\n";
		$html_analysis.="<tr title='$TM_STPNA[5]'><td>球種数</td><td colspan=2>$TM_STPNA[5]</td></tr>\n";
		$html_analysis.="</table>";
	}else{
		$html_analysis.="継投投手が選択されていません<br>";
	}
	#--------------------------------------#
	# 表示
	#--------------------------------------#
$html_info.=<<<EOF
<table><tr><form method=POST action="$SET[path_index]"><td>
<select name='tr_id'>$html_team_list</select><input type=submit value="表示">
</td><input type=hidden name=r value="team_info">
</form></tr></table>
$html_analysis
</td><td>
$html_TM_result
<hr>
<table><tr><td colspan=17><b>スターティングオーダー</b></td></tr>
<tr><th>打</th><th>守</th><th colspan=2>名前</th><th>投</th><th>打</th><th>調</th><th>疲</th><th>巧</th><th>力</th><th>走</th><th>肩</th><th>守</th><th>反</th><th>E避</th><th>Ave</th><th>OPS</th></tr>
$html_bt
<tr><th colspan=17>&nbsp;</th></tr></table>
<table><tr><td colspan=15><b>控え選手</b></td></tr>
<tr><th colspan=2>名前</th><th>投</th><th>打</th><th>調</th><th>疲</th><th>巧</th><th>力</th><th>走</th><th>肩</th><th>守</th><th>反</th><th>E避</th><th>Ave</th><th>OPS</th></tr>
$html_sb
<tr><th colspan=15>&nbsp;</th></tr>
</table>
<hr>
<table><tr><td colspan=17><b>先発ローテーション</b></td></tr>
<tr><th colspan=2>&nbsp;</th><th>名前</th><th>投</th><th>調</th><th>疲</th><th>MAX</th><th>制</th><th>体</th><th>&nbsp;</th><th><abbr title="スライダー系">←</abbr></th><th><abbr title="カーブ系">／</abbr></th><th><abbr title="フォーク系">↓</abbr></th><th><abbr title="シンカー系">＼</abbr></th><th><abbr title="シュート系">→</abbr></th><th>ERA</th><th>WHIP</th></tr>
$html_rot
<tr><th colspan=17>&nbsp;</th></tr></table>
<table><tr><td colspan=17><b>中継ぎ・抑え</b></td></tr>
<tr><th>&nbsp;</th><th>名前</th><th>投</th><th>調</th><th>疲</th><th>MAX</th><th>制</th><th>体</th><th>&nbsp;</th><th><abbr title="スライダー系">←</abbr></th><th><abbr title="カーブ系">／</abbr></th><th><abbr title="フォーク系">↓</abbr></th><th><abbr title="シンカー系">＼</abbr></th><th><abbr title="シュート系">→</abbr></th><th>ERA</th><th>WHIP</th></tr>
$html_sp
<tr><th colspan=17>&nbsp;</th></tr></table>
</td></tr></table>
EOF;
}else{
	$html_info="チームが選択されていないか、存在しません";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=$html_cf;
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
$html_info
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# チーム情報変更
#----------------------------------------------------------#
function team_info_chR(){
global$disp,$Q,$SET,$D;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# 旗とアイコン出力
#--------------------------------------#
#icon
$i=0;
foreach($SET[list_icon] as $icon){
	$html_icon.="<option value='$icon'>No.$i\n";
	$i++;
}
#flag
$i=0;
foreach($SET[list_flag] as $flag){
	$html_flag.="<option value='$flag'>No.$i\n";
	$i++;
}
#初期設定
$html_flag_url=icon_url($PL[5]);
$html_icon_url=icon_url($PL[6]);
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=<<<EOF
<tr><td colspan=2>
<script type="text/javascript">
<!--
function icon_check(){
		document.form.icon_image.src='$SET[dir_icon]/'+document.form.pl_icon.value;
}
function flag_check(){
		document.form.flag_image.src='$SET[dir_icon]/'+document.form.tm_flag.value;
}
//-->
</script>
EOF;
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>チーム情報変更</b>
<table><form method=POST name=form action="$SET[path_index]"><tr>
<th>監督名</th><td><input type=text name='pl_name' value='$PL[0]' style='width:100px;'></td><td style='font-size:small;'>12文字まで</td>
</tr><tr>
<th>チーム名</th><td><input type=text name='tm_name' value='$PL[1]' style='width:100px;' maxlength=12></td><td style='font-size:small;'>12文字まで</td>
</tr><tr>
<th>コメント</th><td><input type=text name='tm_com' value='$PL[2]' style='width:100px;' maxlength=16></td><td style='font-size:small;'>16文字まで</td>
</tr><tr>
<th>チーム旗</th><td colspan=2>
<img name="flag_image" src="$html_flag_url" height=$SET[flag_h]><br>
<select name="tm_flag" onChange="flag_check();">
<option value='$PL[5]' selected>現行
$html_flag</select><br>
(<a href="$SET[path_index]?r=flag" target="_blank">全チーム旗確認</a>)
</td></tr>
<tr><th>監督アイコン</th><td colspan=2>
<img name="icon_image" src="$html_icon_url" height=$SET[icon_h]><br>
<select name="pl_icon" onChange="icon_check();">
<option value='$PL[6]' selected>現行
$html_icon</select><br>
(<a href="$SET[path_index]?r=icon" target="_blank">全キャラアイコン確認</a>)
</td></tr><tr>
<td colspan=3><input type=submit value="登録情報変更"><input type=reset value="リセット"><b style='color:red;'>$D[html_msg]</b>
</td></tr><input type=hidden name='r' value='team_info_set'>
</form></table>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# チーム情報変更セット
#----------------------------------------------------------#
function team_info_setR(){
global$disp,$Q,$SET,$D;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# 変更確認
#--------------------------------------#
if($Q[pl_name]&&$Q[tm_name]&&$Q[tm_flag]&&$Q[pl_icon]){
	if(!$Q[tm_com]){
		$PL[2]='no comment';
	}else{
		$PL[2]=$Q[tm_com];
	}
	#--------------------------------------#
	# 同名検知
	#--------------------------------------#
	if(!data_check('player','0',$Q[pl_name])||$PL[0]==$Q[pl_name]){
		$PL[0]=$Q[pl_name];
	}else{
		$D[html_msg].="同じ監督名の人がいます";
	}
	if(!data_check('player','1',$Q[tm_name])||$PL[1]==$Q[tm_name]){
		$PL[1]=$Q[tm_name];
	}else{
		$D[html_msg].="同じチーム名の人がいます";
	}
	#--------------------------------------#
	$PL[5]=$Q[tm_flag];
	$PL[6]=$Q[pl_icon];
	update('player',$_COOKIE[id],$PL);
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
team_info_ch();
}
#----------------------------------------------------------#
function brk_num($CD){
	$brk_num=0;
	if($CD[24]>0){$brk_num++;}
	if($CD[25]>0){$brk_num++;}
	if($CD[26]>0){$brk_num++;}
	if($CD[27]>0){$brk_num++;}
	if($CD[28]>0){$brk_num++;}
	return $brk_num;
}
#----------------------------------------------------------#
?>